Package net.shibboleth.profile.plugin

# Interface Plugin.Package

All Known Implementing Classes:
  `PropertyDrivenPlugin.PackageDescriptor`

Enclosing interface:
  Plugin<T extends Module>

public static interface Plugin.Package
An abstraction for "a thing that we want to unpack into idp home (outside webapps)".

## Method Summary

Modifier and Type
Method
Description
`String`
`getDestinationName()`
Where the file/string has to be unpacked to (relative to idp.home).
`String`
`getSourceName()`
Where in the zip file is the file.
`boolean`
`isNonWindows()`
Is this package for non-windows Only?
`boolean`
`isStripTopLevelDir()`
Is there a meaningless top level directory?
`boolean`
`isWindows()`
Is this package for Windows Only?

## Method Details

### getSourceName

@Nonnull @Unmodifiable @NotLive String getSourceName()
Where in the zip file is the file.

Returns:
  the location.

### getDestinationName

@Nonnull @Unmodifiable @NotLive String getDestinationName()
Where the file/string has to be unpacked to (relative to idp.home).

Returns:
  the location

### isWindows

boolean isWindows()
Is this package for Windows Only?

Returns:
  true if it is

### isNonWindows

boolean isNonWindows()
Is this package for non-windows Only?

Returns:

### isStripTopLevelDir

boolean isStripTopLevelDir()
Is there a meaningless top level directory?